Package org.eclipse.ecf.discovery.identity

# Interface IServiceID

All Superinterfaces:
  `Comparable`, `org.eclipse.core.runtime.IAdaptable`, `ID`, `Principal`, `Serializable`

All Known Implementing Classes:
  `DnsSdServiceID`, `JSLPServiceID`, `ServiceID`

public interface IServiceID extends ID
Service identity contract.

## Method Summary

Modifier and Type
Method
Description
`URI`
`getLocation()`
`String`
`getServiceName()`
Deprecated.
Use `IServiceInfo.getServiceName()` instead
`IServiceTypeID`
`getServiceTypeID()`
Get service type ID for this ID.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.security.Principal

`implies, toString`

## Method Details

### getServiceTypeID

IServiceTypeID getServiceTypeID()
Get service type ID for this ID.

Returns:
  IServiceTypeID. Will not be `null`.

### getServiceName

String getServiceName()
Deprecated.
Use `IServiceInfo.getServiceName()` instead
Get service name for this ID.

Returns:
  String service name. May be `null`.

### getLocation

URI getLocation()

Returns:
  URI the location for this serviceID
Since:
  3.0